
import VueLazyload from 'vue-lazyload'
import errLoadingPic from '../common/picture/errloading.jpg'
const Modal = resolve => require.ensure([], () => { resolve(require('./Modal/Modal')) }, 'hModal')
const HView = resolve => require.ensure([], () => { resolve(require('./HView/index')) }, 'hView')
const HHeader = resolve => require.ensure([], () => { resolve(require('./HHeader/index')) }, 'hHeader')
const HContent = resolve => require.ensure([], () => { resolve(require('./HContent/index')) }, 'hcontent')
const Scroll = resolve => require.ensure([], () => { resolve(require('./Scroll/index.vue')) }, 'scroll')
const NumberKeyboard = resolve => require.ensure([], () => { resolve(require('./NumberKeyboard/index.vue')) }, 'numberKeyboard')
const ItemOption = resolve => require.ensure([], () => { resolve(require('./ItemOption/index')) }, 'itemOption')
const OptionButton = resolve => require.ensure([], () => { resolve(require('./ItemOption/OptionButton')) }, 'optionButton')
const HButton = resolve => require.ensure([], () => { resolve(require('./HButton/index')) }, 'hButton')
const Swipe = resolve => require.ensure([], () => { resolve(require('./Swipe/index')) }, 'swipe')
const SwipeItem = resolve => require.ensure([], () => { resolve(require('./Swipe/SwipeItem')) }, 'swipe')
const ListItem = resolve => require.ensure([], () => { resolve(require('./ListItem/ListItem')) }, 'Item')
const Item = resolve => require.ensure([], () => { resolve(require('./ListItem/Item')) }, 'Item')
const Switch = resolve => require.ensure([], () => { resolve(require('./Switch/index')) }, 'switch')
const Spin = resolve => require.ensure([], () => { resolve(require('./Spin/index')) }, 'spin')
const TopTip = resolve => require.ensure([], () => { resolve(require('./TopTip/index')) }, 'topTip')
const Notify = resolve => require.ensure([], () => { resolve(require('./Dialog/Notify')) }, 'notify')
const Stab = resolve => require.ensure([], () => { resolve(require('./STab/index')) }, 'stab')
const TabItem = resolve => require.ensure([], () => { resolve(require('./STab/tab-item')) }, 'tabItem')
const CheckBox = resolve => require.ensure([], () => { resolve(require('./CheckBox/index')) }, 'checkBox')

const RadioGroup = resolve => require.ensure([], () => { resolve(require('./Radio/index')) }, 'radio')
const Radio = resolve => require.ensure([], () => { resolve(require('./Radio/radio')) }, 'radio')
const HFile = resolve => require.ensure([], () => { resolve(require('./HFile/index')) }, 'hFile')

const BottomTab = resolve => require.ensure([], () => { resolve(require('./BottomTab/index')) }, 'bottomTab')
const TabButton = resolve => require.ensure([], () => { resolve(require('./BottomTab/tab-button')) }, 'tabButton')
const HLayout = resolve => require.ensure([], () => { resolve(require('./HLayout/index')) }, 'hLayout')
const CurrencyInput = resolve => require.ensure([], () => { resolve(require('./CurrencyInput/index')) }, 'currencyInput')
const HProgress = resolve => require.ensure([], () => { resolve(require('./Progress/index')) }, 'hProgress')
const HRange = resolve => require.ensure([], () => { resolve(require('./Range/index')) }, 'hRange')

export default (Vue) => {
  Vue.use(VueLazyload, {
    error: errLoadingPic,
    loading: errLoadingPic,
  })
  Vue.component('h-view', HView)
  Vue.component('h-header', HHeader)
  Vue.component('h-content', HContent)
  Vue.component('scroll', Scroll)
  Vue.component('number-keyboard', NumberKeyboard)
  Vue.component('item-option', ItemOption)
  Vue.component('option-button', OptionButton)
  Vue.component('h-button', HButton)
  Vue.component('swipe', Swipe)
  Vue.component('swipe-item', SwipeItem)
  Vue.component('list-item', ListItem)
  Vue.component('item', Item)
  Vue.component('spin', Spin)
  Vue.component('top-tip', TopTip)
  Vue.component('notify', Notify)
  Vue.component('h-switch', Switch)
  Vue.component('s-tab', Stab)
  Vue.component('tab-item', TabItem)
  Vue.component('bottom-tab', BottomTab)
  Vue.component('tab-button', TabButton)
  Vue.component('h-modal', Modal)
  Vue.component('h-check', CheckBox)
  Vue.component('radio-group', RadioGroup)
  Vue.component('h-radio', Radio)
  Vue.component('h-file', HFile)
  Vue.component('h-layout', HLayout)
  Vue.component('currency-input', CurrencyInput)
  Vue.component('h-progress', HProgress)
  Vue.component('h-range', HRange)
}
